Quản lý trang chào (Splash Pages)
GET https://go.hvsc.vn/api/splash-pages/
curl --request GET \
--url 'https://go.hvsc.vn/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://go.hvsc.vn/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Các tham số truyền vào | Chi tiết | Mô tả |
|---|---|---|
| search | Tùy chọn phụ Chuỗi ký tự (String) | Từ khóa nội dung chuỗi tìm kiếm dữ liệu. |
| search_by | Tùy chọn phụ Chuỗi ký tự (String) | Chỉ định trường dữ liệu cụ thể nào bạn muốn áp dụng từ khóa tìm kiếm. Các giá trị được chấp nhận là: name. |
| order_by | Tùy chọn phụ Chuỗi ký tự (String) | Chỉ định trường tiêu chí dữ liệu dùng làm căn cứ sắp xếp thứ tự danh sách kết quả trả về. Các giá trị được chấp nhận là: splash_page_id , datetime , last_datetime , name. |
| order_type | Tùy chọn phụ Chuỗi ký tự (String) | Hình thức quy định sắp xếp danh sách kết quả hiển thị. Các giá trị được chấp nhận là: ASC cho kiểu sắp xếp tăng dần, và DESC cho kiểu sắp xếp giảm dần. |
| page | Tùy chọn phụ Số nguyên (Integer) | Số thứ tự số trang hiển thị kết quả dữ liệu mà bạn muốn lấy về. Giá trị mặc định ban đầu là 1. |
| results_per_page | Tùy chọn phụ Số nguyên (Integer) | Quy định số lượng dòng kết quả dữ liệu trả về tối đa trên mỗi trang hiển thị. Các giá trị được hệ thống chấp nhận là: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Cấu hình mặc định ban đầu là 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-10-16 22:04:13",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://go.hvsc.vn/api/projects?page=1",
"last": "https://go.hvsc.vn/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://go.hvsc.vn/api/projects?page=1"
}
}
GET https://go.hvsc.vn/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://go.hvsc.vn/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://go.hvsc.vn/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-10-16 22:04:13",
}
}
POST https://go.hvsc.vn/api/projects
| Các tham số truyền vào | Chi tiết | Mô tả |
|---|---|---|
| name | Bắt buộc Chuỗi ký tự (String) | - |
| title | Tùy chọn phụ Chuỗi ký tự (String) | - |
| logo | Tùy chọn phụ Tệp tin dữ liệu | - |
| favicon | Tùy chọn phụ Tệp tin dữ liệu | - |
| opengraph | Tùy chọn phụ Tệp tin dữ liệu | - |
| description | Tùy chọn phụ Chuỗi ký tự (String) | - |
| secondary_button_name | Tùy chọn phụ Chuỗi ký tự (String) | - |
| secondary_button_url | Tùy chọn phụ Chuỗi ký tự (String) | - |
| custom_css | Tùy chọn phụ Chuỗi ký tự (String) | - |
| custom_js | Tùy chọn phụ Chuỗi ký tự (String) | - |
| ads_header | Tùy chọn phụ Chuỗi ký tự (String) | - |
| ads_footer | Tùy chọn phụ Chuỗi ký tự (String) | - |
| link_unlock_seconds | Tùy chọn phụ Số nguyên (Integer) | - |
| auto_redirect | Tùy chọn phụ Giá trị đúng/sai (Boolean) | - |
curl --request POST \
--url 'https://go.hvsc.vn/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://go.hvsc.vn/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://go.hvsc.vn/api/splash-pages/{splash_page_id}
| Các tham số truyền vào | Chi tiết | Mô tả |
|---|---|---|
| name | Tùy chọn phụ Chuỗi ký tự (String) | - |
| title | Tùy chọn phụ Chuỗi ký tự (String) | - |
| logo | Tùy chọn phụ Tệp tin dữ liệu | - |
| favicon | Tùy chọn phụ Tệp tin dữ liệu | - |
| opengraph | Tùy chọn phụ Tệp tin dữ liệu | - |
| description | Tùy chọn phụ Chuỗi ký tự (String) | - |
| secondary_button_name | Tùy chọn phụ Chuỗi ký tự (String) | - |
| secondary_button_url | Tùy chọn phụ Chuỗi ký tự (String) | - |
| custom_css | Tùy chọn phụ Chuỗi ký tự (String) | - |
| custom_js | Tùy chọn phụ Chuỗi ký tự (String) | - |
| ads_header | Tùy chọn phụ Chuỗi ký tự (String) | - |
| ads_footer | Tùy chọn phụ Chuỗi ký tự (String) | - |
| link_unlock_seconds | Tùy chọn phụ Số nguyên (Integer) | - |
| auto_redirect | Tùy chọn phụ Giá trị đúng/sai (Boolean) | - |
curl --request POST \
--url 'https://go.hvsc.vn/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://go.hvsc.vn/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://go.hvsc.vn/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://go.hvsc.vn/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://go.hvsc.vn/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \